--- a/releases/install-release.html
+++ b/releases/install-release.html
@@ -20,7 +20,7 @@
 <p>
 The most common build system used for VXL is  <a
 href="http://www.cmake.org/">CMake</a>. You should first download and
-install CMake. VXL requires CMake version 1.6.7 or higher.
+install CMake. VXL requires CMake version 1.8.3 or higher.
 </p>
 
   <p>
@@ -196,6 +196,9 @@
 
 <h2>Problems and where to get help</h2>
 
+<p>Have a look through the <a href="http://vxl.sourceforge.net/build-faq.html"> Build
+FAQ</a>.</p>
+
 If you think you have found a bug, or if you have an installation or build problem, please submit a bug
 report on the <a href="http://lists.sourceforge.net/lists/listinfo/vxl-users">vxl-users
 mailing list</a>. Also supply the following information unless you know for certain it is not relevant:
@@ -205,15 +208,10 @@
      produced. If you have problems compiling VXL, include the command the makefiles issued, as well as
      the entire error message.
 <li> Compiler and <i>compiler version number</i>. For gcc, this means we want the output of the
-     two shell commands "gcc -v" and "g++ -v" (yes, both, please - they have been known to differ). For other
-     compilers try -V, -ver, -version or read the manual.&nbsp;
-<li> Operating system (e.g. linux/solaris/irix) and architecture (e.g. i386/sparc/mips). If this
-     means nothing to you, give some indication of the sort of machine (e.g. does it have "Indy"
-     or "AEGIS" or "Ultra" or "Cray" or "HAL" etc written on it?).
-</ul>
-
-  <p>&nbsp;
-</p>
+     two shell commands &quot;<code>gcc -v</code>&quot; and &quot;<code>g++ -v</code>&quot; (yes, both, please - they have been known to differ). For other
+     compilers try <code>-V</code>, <code>-ver</code>, <code> -version</code> or read the manual.&nbsp;
+<li> Operating system (e.g. linux/solaris/irix) and architecture (e.g. i386/sparc/mips).
+</ul>
 
 <hr>
     <address>